%define name    qmidinet
%define version 0.4.2
%define release 11

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	A MIDI Network Gateway via UDP/IP Multicast
Name: qmidinet
Version: 0.4.2
Release: 11.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://qmidinet.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#BuildRequires:	libqt4-devel >= 4.4
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	alsa-devel
%endif
BuildRequires:	libjack-devel >= 0.100.0

%description
QmidiNet is a MIDI network gateway application that sends and receives
MIDI data (ALSA Sequencer and/or JACK MIDI) over the network, using UDP/IP
multicast. Inspired by multimidicast (http://llg.cubic.org/tools) and
designed to be compatible with ipMIDI for Windows (http://nerds.de).

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir {_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/appdata
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}.1.gz

%changelog
* Mon Nov 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.2
- A Fall'16 release.
* Wed Sep 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.1
- End of Summer'16 release.
* Tue Apr  5 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.0
- Spring'16 release frenzy.
* Mon Sep 21 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.3.0
- Summer'15 release frenzy.
* Mon Mar 23 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.2.1
- Pre-LAC2015 pre-season release.
* Thu Jun 19 2014 Rui Nuno Capela <rncbc@rncbc.org> 0.2.0
- Headless finally.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.1.3
- A fifth of a Jubilee release.
* Tue May 22 2012 Rui Nuno Capela <rncbc@rncbc.org> 0.1.2
- JACK-MIDI crashfix release.
* Fri Sep 24 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.1.1
- JACK-MIDI bugfix release.
* Fri Sep  3 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.1.0
- Second public release.
* Mon May 17 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Standard desktop icon fixing. 
* Sat Mar  6 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- Created initial qmidinet.spec
